*****************************************************************
* DATA CLEANING MASTER FILE										*
*****************************************************************

*****************************************************************
* I. BASELINE DATA	 	 										*
*****************************************************************

*****************************************************************
* Step 1. Medan 												*
*****************************************************************

do code/cleaning/cleans_baseline_survey_medan.do

do code/cleaning/cleans_baseline_survey_medan_with_pii.do

*****************************************************************
* Step 2. Bandung 												*
*****************************************************************

do code/cleaning/cleans_baseline_survey_bandung.do

do code/cleaning/cleans_baseline_survey_bandung_with_pii.do

*****************************************************************
* II. ENROLLMENT DATA 	 										*
*****************************************************************

*****************************************************************
* Step 1. Creates the xwalk 									*
* xwalk is needed to correctly link individuals over time       *
* needed for duplicate observations in the administrative data  *
*****************************************************************

do code/cleaning/creates_xwalk.do

*****************************************************************
* Step 2. Imports BPJS and SM enrollment data					*
*****************************************************************

do code/cleaning/cleans_enrollment_data.do

*****************************************************************
* Step 3. Merges all files and creates relevant variables		*
*****************************************************************

do code/cleaning/merges_enrollment_data.do

*****************************************************************
* III. PAYMENT DATA 											*
*****************************************************************

*****************************************************************
* Step 1. Cleans payment data									*
*****************************************************************

do code/cleaning/cleans_payment_data.do

*****************************************************************
* Step 2. Merges all files and creates relevant variables		*
*****************************************************************

do code/cleaning/merges_payment_data.do

*****************************************************************
* IV. CLAIMS DATA 	 											*
*****************************************************************

*****************************************************************
* Step 1. Cleans BPJS claims data								*
*****************************************************************

do code/cleaning/cleans_claims_data.do

*****************************************************************
* Step 2. Merges all files and creates relevant variables		*
*****************************************************************

do code/cleaning/merges_claims_data.do

*****************************************************************
* IV. FINAL DATA CLEANING STEPS 								*
*****************************************************************

do code/cleaning/final_data_cleaning_steps.do

*****************************************************************
* V. CLEANS THE SUSENAS 2015 DATA								*
*****************************************************************

do code/cleaning/cleans_susenas_2015.do
