
*****************
* DATA CLEANING *
*****************

** EXPENDITURES 1 **

use data/raw/susenas2015_confidential/module/susenas15mar_43.dta, clear

** IDENTIFIERS **

tostring r101, replace
tostring r102, replace
replace r102="0"+r102 if length(r102)==1
tostring urut, replace
replace urut="00000"+urut if length(urut)==1
replace urut="0000"+urut if length(urut)==2
replace urut="000"+urut if length(urut)==3
replace urut="00"+urut if length(urut)==4
replace urut="0"+urut if length(urut)==5
g hhid=r101+r102+urut

ren food food_m
ren nfood nfood_m
ren expend expend_m

keep hhid *_m wert weind

tempfile exp43
save `exp43'

** EXPENDITURES 2 **

use data/raw/susenas2015_confidential/module/susenas15mar_42.dta, clear

** IDENTIFIERS **

tostring r101, replace
tostring r102, replace
replace r102="0"+r102 if length(r102)==1
tostring urut, replace
replace urut="00000"+urut if length(urut)==1
replace urut="0000"+urut if length(urut)==2
replace urut="000"+urut if length(urut)==3
replace urut="00"+urut if length(urut)==4
replace urut="0"+urut if length(urut)==5
g hhid=r101+r102+urut

** OOP EXPENDITURES **

bysort hhid: egen oop_y=total(b42k5*(kode>=176&kode<=187))
bysort hhid: egen oop_with_preventive_y=total(b42k5*(kode>=176&kode<=191))
g oop_m=oop_y/12
g oop_with_preventive_m=oop_with_preventive_y/12

** HI EXPENDITURES **

bysort hhid: egen hiexp_y=total(b42k5*(kode==239))
g hiexp_m=hiexp_y/12

bysort hhid: g n=_n
keep if n==1

keep hhid *_y *_m

merge 1:1 hhid using `exp43'

//    Result                           # of obs.
//     -----------------------------------------
//     not matched                             0
//     matched                           285,908  (_merge==3)
//     -----------------------------------------

drop _m

tempfile expenditures
save `expenditures', replace

** CORE, HOUSEHOLD **

use data/raw/susenas2015_confidential/kor/susenas15mar_kr.dta, clear

** IDENTIFIERS **

tostring r101, replace
tostring r102, replace
replace r102="0"+r102 if length(r102)==1
tostring urut, replace
replace urut="00000"+urut if length(urut)==1
replace urut="0000"+urut if length(urut)==2
replace urut="000"+urut if length(urut)==3
replace urut="00"+urut if length(urut)==4
replace urut="0"+urut if length(urut)==5
g hhid=r101+r102+urut

** KPS **

g kps=(r1609==1|r1609==2)

keep hhid kps

tempfile hh
save `hh'

** CORE, INDIVIDUAL **

use data/raw/susenas2015_confidential/kor/susenas15mar_ki.dta, clear

** IDENTIFIERS **

tostring r101, replace
tostring r102, replace
replace r102="0"+r102 if length(r102)==1
tostring urut, replace
replace urut="00000"+urut if length(urut)==1
replace urut="0000"+urut if length(urut)==2
replace urut="000"+urut if length(urut)==3
replace urut="00"+urut if length(urut)==4
replace urut="0"+urut if length(urut)==5
g hhid=r101+r102+urut
tostring r401, replace
replace r401="0"+r401 if length(r401)==1
g perid=hhid+r401

** HEALTH INSURANCE **

g hi_pub=(r711a==1|r711c==1|r711d==1|r711e==1)
g hi_pri=(r711f==1)
g hi_pri_only = hi_pri == 1 & hi_pub ==0

g hi_bpjskesehatan=(r711a==1)
g hi_bpjsketenagakerjaan=(r711b==1)
g hi_askes=(r711c==1)
g hi_jamesmas=(r711d==1)
g hi_jamkesda=(r711e==1)
g hi_private=(r711f==1)
g hi_company=(r711g==1)
g hi_no=(r711x==1)

egen hi = rsum(hi_bpjskesehatan hi_bpjsketenagakerjaan hi_askes hi_jamesmas hi_jamkesda hi_private hi_company)
replace hi = 1 if hi > 1

** INPATIENT **

// inpatient
g inpind=(r803==1)

g inp_used_insurance = (r805 == 1)

g inpind_public_hospital=(r803==1&r804a==1)
g inpind_private_hospital=(r803==1&r804b==1)
g inpind_doctor=(r803==1&r804c==1)
g inpind_clinic=(r803==1&r804d==1)
g inpind_puskesmas=(r803==1&r804e==1)
g inpind_traditional=(r803==1&r804f==1)

g inpind_PUB_public_hospital=inpind_public_hospital*hi_pub*inp_used_insurance
g inpind_PUB_private_hospital=inpind_private_hospital*hi_pub*inp_used_insurance
g inpind_PUB_doctor=inpind_doctor*hi_pub*inp_used_insurance
g inpind_PUB_clinic=inpind_clinic*hi_pub*inp_used_insurance
g inpind_PUB_puskesmas=inpind_puskesmas*hi_pub*inp_used_insurance
g inpind_PUB_traditional=inpind_traditional*hi_pub*inp_used_insurance

g inpind_PRI_public_hospital=inpind_public_hospital*hi_pri_only*inp_used_insurance
g inpind_PRI_private_hospital=inpind_private_hospital*hi_pri_only*inp_used_insurance
g inpind_PRI_doctor=inpind_doctor*hi_pri_only*inp_used_insurance
g inpind_PRI_clinic=inpind_clinic*hi_pri_only*inp_used_insurance
g inpind_PRI_puskesmas=inpind_puskesmas*hi_pri_only*inp_used_insurance
g inpind_PRI_traditional=inpind_traditional*hi_pri_only*inp_used_insurance

** OUTPATIENT **

g outind=(r707==1)

g outind_public_hospital=(r707==1&r709a==1)
g outind_puskesmas=(r707==1&r709e==1)
g outind_ukbm=(r707==1&r709f==1)
g outind_private_hospital=(r707==1&r709b==1)
g outind_doctor=(r707==1&r709c==1)
g outind_clinic=(r707==1&r709d==1)
g outind_traditional=(r707==1&r709g==1)

g out_used_insurance = (r710 == 1)

g outind_PUB_public_hospital=outind_public_hospital*hi_pub*out_used_insurance
g outind_PUB_private_hospital=outind_private_hospital*hi_pub*out_used_insurance
g outind_PUB_doctor=outind_doctor*hi_pub*out_used_insurance
g outind_PUB_clinic=outind_clinic*hi_pub*out_used_insurance
g outind_PUB_puskesmas=outind_puskesmas*hi_pub*out_used_insurance
g outind_PUB_ukbm=outind_ukbm*hi_pub*out_used_insurance
g outind_PUB_traditional=outind_traditional*hi_pub*out_used_insurance

g outind_PRI_public_hospital=outind_public_hospital*hi_pri_only*out_used_insurance
g outind_PRI_private_hospital=outind_private_hospital*hi_pri_only*out_used_insurance
g outind_PRI_doctor=outind_doctor*hi_pri_only*out_used_insurance
g outind_PRI_clinic=outind_clinic*hi_pri_only*out_used_insurance
g outind_PRI_puskesmas=outind_puskesmas*hi_pri_only*out_used_insurance
g outind_PRI_ukbm=outind_ukbm*hi_pri_only*out_used_insurance
g outind_PRI_traditional=outind_traditional*hi_pri_only*out_used_insurance

** KEPALA RUMAH TANGGA **

g hhead=(r403==1)
g hhhead_spouse=(r403==2)

** WORK STATUS ***

gen employed=0
replace employed=1 if r1101a==1

gen informal=0
replace informal=1 if r1104==1
replace informal=1 if r1104==2
replace informal=1 if r1104==5
replace informal=1 if r1104==6

gen formal=0
replace formal=1 if r1104==3
replace formal=1 if r1104==4

gen unpaid=0
replace unpaid=1 if r1104==6

keep hhid perid hi* hhead hhhead_spouse employed informal formal unpaid inp* out*

merge m:1 hhid using `hh'

//     Result                           # of obs.
//     -----------------------------------------
//     not matched                             0
//     matched                         1,097,719  (_merge==3)
//     -----------------------------------------

drop _m

merge m:1 hhid using `expenditures'

//     Result                           # of obs.
//     -----------------------------------------
//     not matched                             0
//     matched                         1,097,719  (_merge==3)
//     -----------------------------------------

drop _m

bysort hhid: g n=_n
g rtsample=(n==1)

** ELIGIBILE POPULATION **
_pctile expend_m [aweight=wert] if rtsample==1, p(40) 
local p_40=`r(r1)'
di `p_40'
g nonpoor=(expend_m>=`p_40')


save data/codeddata/susenas2015.dta, replace
