******************************************
*** STEP 1: Sets up datasets for xwalk ***
******************************************

foreach month in 20150903 20151211 20160411 20160610 20160824 20160921 20161020 20161121 20170428 20170512 20180716 20180816 { 

	if "`month'"=="20150903"|"`month'"=="20151211"|"`month'"=="20160411"|"`month'"=="20160610"|"`month'"=="20160824"|"`month'"=="20161020"|"`month'"=="20160921" {
		use "A:/xwalk/`month' nokapstlink_RS_stata11.dta" , clear	
		}
	else {
		use "A:/xwalk/`month' nokapstlink.dta" , clear
		}
	
	// renames variables to keep information over time
	ren noka noka_`month'
	ren membertag membertag_`month'
	ren dob_admin dob_admin_`month'
	cap ren membershiptype membershiptype_`month'
	
	// gets old nokapst from new nokapst
	if "`month'"=="20180716" {
		ren nokapst nokapst_NEW
		g nokapst=substr(nokapst_NEW,4,9)
		}
	else {
		}
	
	keep perid nokapst *_`month' 
	
	// drops gresik (pilot)
	g desa=substr(perid,1,3)
	destring desa, replace
	drop if inlist(desa,991,992,993)
	
	tempfile `month'
	save ``month'', replace
	}
		
******************************************
*** STEP 2: Merges the datasets	       ***
******************************************

use `20150903.dta', clear

g dataset_original="20150903"

pause off
foreach month in 20151211 20160411 20160610 20160824 20160921 20161020 20161121 20170428 20170512 20180716 20180816 {
	cap drop _m
	di "`month'"
	merge 1:1 perid nokapst using ``month''
	qui replace dataset_original="`month'" if dataset==""&_m==2
	pause
	}

		
// SAVES FILE FOR XWALK
// THIS ENSURES THAT MEMBERTAG REFERS TO A SPECIFIC NOKAPST
sort perid nokapst
bysort perid: g membertag_final=_n

keep perid membertag*

save data/working/xwalk.dta, replace

